Skip to content

Enable/Disable Bucket Versioning

PUT
/api/v1/storage/bucket_versioning/{bucket_name}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_versioning/{bucket_name}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"bucket_name": "bucket_name",
"new_versioning_state": "Disabled"
}'
bucket_name
required
string

Bucket Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
bucket_name
required
string

Example

bucket_name
new_versioning_state
required
string
Allowed values: Enabled Disabled

Example

Disabled

A successful response with bucket details

Media typeapplication/json
object
code
integer
data
object
bucket_name
string
bucket_versioning_status
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"bucket_name": "testing",
"bucket_versioning_status": "Enabled"
},
"errors": {},
"message": "Success"
}